No Bluetooth Adapters Found

Asked by Ria on 2020-11-16

Hello,
I have a Samsung Chromebook and it was running Gallium OS for awhile.
Just installed Linux Mint and strangely the Bluetooth adapters don't work.
I have followed some instructions in Linux Community website but still, the bluetooth doesn't work and shows a message "No Bluetooth Adapters Found".

Here are some details.
ria@ria-Lumpy:~$ cat /etc/*release
DISTRIB_ID=LinuxMint
DISTRIB_RELEASE=20
DISTRIB_CODENAME=ulyana
DISTRIB_DESCRIPTION="Linux Mint 20 Ulyana"
NAME="Linux Mint"
VERSION="20 (Ulyana)"
ID=linuxmint
ID_LIKE=ubuntu
PRETTY_NAME="Linux Mint 20"
VERSION_ID="20"
HOME_URL="https://www.linuxmint.com/"
SUPPORT_URL="https://forums.linuxmint.com/"
BUG_REPORT_URL="http://linuxmint-troubleshooting-guide.readthedocs.io/en/latest/"
PRIVACY_POLICY_URL="https://www.linuxmint.com/"
VERSION_CODENAME=ulyana
UBUNTU_CODENAME=focal
cat: /etc/upstream-release: Is a directory

ria@ria-Lumpy:~$ lsusb
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 2232:1017 Silicon Motion
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

ria@ria-Lumpy:~$ lsmod | grep blue
bluetooth 548864 15 btrtl,btintel,btbcm,bnep,ath3k,btusb,rfcomm
ecdh_generic 16384 1 bluetooth

ria@ria-Lumpy:~$ dmesg | grep -i bluetooth
[ 412.624617] Bluetooth: Core ver 2.22
[ 412.624652] Bluetooth: HCI device and connection manager initialized
[ 412.624658] Bluetooth: HCI socket layer initialized
[ 412.624661] Bluetooth: L2CAP socket layer initialized
[ 412.624668] Bluetooth: SCO socket layer initialized
[ 449.609253] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 449.609255] Bluetooth: BNEP filters: protocol multicast
[ 449.609259] Bluetooth: BNEP socket layer initialized
[ 5098.235231] Bluetooth: RFCOMM TTY layer initialized
[ 5098.235242] Bluetooth: RFCOMM socket layer initialized
[ 5098.235253] Bluetooth: RFCOMM ver 1.11

ria@ria-Lumpy:~$ rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

ria@ria-Lumpy:~$ uname -a
Linux ria-Lumpy 5.4.0-53-generic #59-Ubuntu SMP Wed Oct 21 09:38:44 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Thank you in advance!

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu linux Edit question
Assignee:
No assignee Edit question
Last query:
2020-11-16
Last reply:
2020-11-16

This question was reopened

Manfred Hampl (m-hampl) said : #1

Manfred Hampl suggests this article as an answer to your question:
FAQ #3041: “No support for Linux Mint”.

Manfred Hampl (m-hampl) said : #2

see your output

SUPPORT_URL="https://forums.linuxmint.com/"

Can you help with this problem?

Provide an answer of your own, or ask Ria for more information if necessary.

To post a message you must log in.